<section class="nevis-auth-create-account"
         [ngClass]="{'grid-indent-google-captcha': !isCaptchaValid,
                     'grid-indent': isCaptchaValid}">

  <dwfe-google-captcha [ngClass]="{'visually-hidden': isCaptchaValid}"
                       [captchaTxt]="app.t7eMap('catcha_title',t7e)"
                       [errorMessage]="errorMessage"
                       [showOverlay]="isLocked"
                       (googleResponse)="nevisService.googleCaptchaValidateExchanger.runGoogleCaptchaCheck(this, $event)"></dwfe-google-captcha>

  <section class="nevis-auth-create-account__form  dwfe-form" spellcheck="false" *ngIf="isCaptchaValid">

    <dwfe-input-email class="dwfe-form__item"
                      [labelText]="app.t7eMap('email',t7e)"
                      [externalBackendValidator]="nevisService.backendValidatorEmail.bind(nevisService)"
                      [hintText]="app.t7eMap('password_will_be_sent',t7e)"
                      (takeControl)="cEmail=$event"
                      #refEmail></dwfe-input-email>

    <dwfe-checkbox class="nevis-auth-create-account__chechbox  dwfe-form__item"
                   [labelText]="app.t7eMap('i_accept',t7e)"
                   [labelLinkText]="app.t7eMap('terms',t7e)"
                   [labelLinkValue]="'/terms-of-use'"
                   (takeControl)="cTermsOfUse=$event"></dwfe-checkbox>

    <dwfe-checkbox class="nevis-auth-create-account__chechbox  dwfe-form__item  standard-indent"
                   [labelText]="app.t7eMap('i_accept',t7e)"
                   [labelLinkText]="app.t7eMap('privacy',t7e)"
                   [labelLinkValue]="'/privacy-policy'"
                   (takeControl)="cPrivacyPolicy=$event"></dwfe-checkbox>

    <dwfe-ok-action [errorMessage]="errorMessage"
                    [showErrorMessage]="errorMessage !== ''"
                    [isDisabled]="!(cEmail && cEmail.valid && cTermsOfUse.value && cPrivacyPolicy.value) || isLocked"
                    (takeClick)="performCreateAccount()"></dwfe-ok-action>

    <dwfe-overlay *ngIf="isLocked"></dwfe-overlay>

  </section>

  <dwfe-simple-dialog *ngIf="showCreatedNewAccScreen">
    <div class="nevis-auth-create-account__complete-wrap  grid-indent">
      <p class="dwfe-txt-successful">{{app.t7eMap('was_success_created',t7e)}}</p>
      <p class="dwfe-txt-warning">{{app.t7eMap('password_we_sent',t7e)}}</p>
      <p class="dwfe-txt-warning">{{app.t7eMap('check_email_box',t7e)}}</p>
      <button class="nevis-auth-create-account__complete-btn  dwfe-form__btn  dwfe-form__btn--attraction"
              mat-raised-button
              (click)="goToLoginPage()">
        {{app.t7eMap('go_to_login',t7e)}}
      </button>
    </div>
  </dwfe-simple-dialog>

</section>
